CMSIS-Core (Cortex-A): cmsis_armcc.txt File Reference

| CMSIS-Core (Cortex-A) Version 1.2.0 CMSIS-Core support for Cortex-A processor-based devices

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
cmsis_armcc.txt File Reference

CMSIS compiler specific macros, functions, instructions. More...

## Macros
#define | __STATIC_FORCEINLINE
| Define a static function that should be always inlined by the compiler. More...
#define | __PACKED_STRUCT
| Request smallest possible alignment for a structure. More...
#define | __UNALIGNED_UINT32
| Pointer for unaligned access of a uint32_t variable. More...
#define | __UNALIGNED_UINT16_READ
| Pointer for unaligned read of a uint16_t variable. More...
#define | __UNALIGNED_UINT16_WRITE
| Pointer for unaligned write of a uint16_t variable. More...
#define | __UNALIGNED_UINT32_READ
| Pointer for unaligned read of a uint32_t variable. More...
#define | __UNALIGNED_UINT32_WRITE
| Pointer for unaligned write of a uint32_t variable. More...

## Functions
uint32_t | __REV (uint32_t value)
| Reverse byte order (32 bit) More...
uint16_t | __REV16 (uint16_t value)
| Reverse byte order (16 bit) More...
int32_t | __REVSH (int32_t value)
| Reverse byte order (16 bit) More...
uint32_t | __ROR (uint32_t op1, uint32_t op2)
| Rotate Right in unsigned value (32 bit) More...
uint32_t | __RBIT (uint32_t value)
| Reverse bit order of value. More...
uint8_t | __CLZ (uint32_t value)
| Count leading zeros. More...

## Description

Version
  V1.00

Date
  22. Feb 2017